//-----------------------------------------------------------------------------
#ifndef DevDataH
#define DevDataH DevDataH
//-----------------------------------------------------------------------------
#include <vector>
#include <mvIMPACT_CPP/mvIMPACT_acquire.h>

class CaptureThread;
class EventThread;
class PropTree;

typedef std::vector<PropTree*> PropTreeVector;

//------------------------------------------------------------------------------
struct DeviceData
//------------------------------------------------------------------------------
{	
	DeviceData( PropTree *pDev ) : pDeviceTree(pDev), pEventSubSubsystem(0), pFuncInterface(0),
		pStatistics(0), pCaptureThread(0), pEventThread(0), boWasLive(false), lockedRequest(mvIMPACT::acquire::INVALID_ID) {}
	PropTree*								pDeviceTree;
	PropTreeVector							vDriverTrees;
	mvIMPACT::acquire::EventSubSystem*		pEventSubSubsystem;
	mvIMPACT::acquire::FunctionInterface*	pFuncInterface;
	mvIMPACT::acquire::Statistics*			pStatistics;
	CaptureThread*							pCaptureThread;
	EventThread*							pEventThread;
	bool									boWasLive;
	int										lockedRequest;
};

//-----------------------------------------------------------------------------
struct RequestInfoData
//-----------------------------------------------------------------------------
{
	int frameID;
	int frameNr;
	int exposeStart_us;
	int exposeTime_us;
	int transferDelay_us;
	double gain_dB;
	int64_type timeStamp_us;
	int videoChannel;
	TCameraOutput cameraOutputUsed;
	int lineCounter;
};

#endif // DevDataH
